KDE 4.9 PyKDE API Reference

- KDE's Python API

# SimpleStatementIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.StatementIterator
Namespace: Soprano.Util

## Detailed Description

\class SimpleStatementIterator simplestatementiterator.h Soprano/Util/SimpleStatementIterator

The most simple version of a StatementIterator simply iterates over a list of Statements.

The SimpleStatementIterator has been designed as a trivial extension to StatementIterator and can be used as a drop-in-replacement as shown below:

     QList<Statement> list;
     SimpleStatementIterator it( list );

     // it and it2 iterate over the exact same data
     StatementIterator it2 = it;

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods

| __init__ (self)
| __init__ (self, [Soprano.Statement] a0)
| __init__ (self, Soprano.Util.SimpleStatementIterator a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | [Soprano.Statement] | a0
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.Util.SimpleStatementIterator | a0
| ) |  |  |